\version "2.24.1"

N = 48
\include "haydn.ly"

horntpt      = \markup \pairinsts "I" "II" \center-column { "Horns in C (alto)" "Trumpets in C" }
horntptshort = \markup \center-column { "Hn" "Tpt"  }

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout I }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup
          \new OboeIandII \partCombine \I.Oboe.1 \I.Oboe.2
        \new StaffGroup
          \new HornIandII \with {
            \remove \Transposing_instrument_name
            key=c'
            instrumentName = \horntpt
            shortInstrumentName = \horntptshort
          } \partCombine #'(0 . 9) \I.Horn.1 \I.Horn.2
        \new Timpani \with { tuning=<c g,> } { \I.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CBB   { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout II }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup
          \new OboeIandII \partCombine \II.Oboe.1 \II.Oboe.2
        \new StaffGroup
          \new HornIandII \with { key=f } \partCombine \II.Horn.1 \II.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CB    { \II.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout IIIa }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIa
        \IIIa.structure
        \new StaffGroup
          \new OboeIandII \partCombine \IIIa.Oboe.1 \IIIa.Oboe.2
        \new StaffGroup
          \new HornIandII \with {
            \remove \Transposing_instrument_name
            key=c'
            instrumentName = \horntpt
            shortInstrumentName = \horntptshort
          } \partCombine \IIIa.Horn.1 \IIIa.Horn.2
        \new Timpani \with { tuning=<c g,> } { \IIIa.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIa.Violin.1 }
            \new ViolinII { \IIIa.Violin.2 }
          >>
          \new Viola { \IIIa.Viola }
          \new CBB   { \IIIa.Cello }
        >>
      >>
    }
    \keepWithTag \Haydntags \tag #'Mvt3 \pageBreak
    \header { piece = ##f }
    \score {
      \layout { \breaklayout IIIb }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIb
        \IIIb.structure
        \new StaffGroup
          \new OboeIandII \partCombine \IIIb.Oboe.1 \IIIb.Oboe.2
        \new StaffGroup
          \new HornIandII \with {
            \remove \Transposing_instrument_name
            key=c'
            instrumentName = \horntpt
            shortInstrumentName = \horntptshort
          } \partCombine \IIIb.Horn.1 \IIIb.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIb.Violin.1 }
            \new ViolinII { \IIIb.Violin.2 }
          >>
          \new Viola { \IIIb.Viola }
          \new CB    { \IIIb.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout IV }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup
          \new OboeIandII \partCombine #'(0 . 12) \IV.Oboe.1 \IV.Oboe.2
        \new StaffGroup
          \new HornIandII \with {
            \remove \Transposing_instrument_name
            key=c'
            instrumentName = \horntpt
            shortInstrumentName = \horntptshort
          } \partCombine \IV.Horn.1 \IV.Horn.2
        \new Timpani \with { tuning=<c g,> } { \IV.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CBB   { \IV.Cello }
        >>
      >>
    }
  }
}
